<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Train</title>
	<style>
		#train{width:40px; height:40px; background:#ff0000;  position:relative;}
		.button{width:400px; text-align:center; margin-top:50px;}
		button{
			cursor:pointer;
		}
	</style>
</head>
<body>

		<div id ="train"></div>
	
	<div class="button">
		<button id="play" onclick="start()" >Run</button>
		<button id="pause" onclick="pause()">Pause</button>
	</div>
	<script>
	
var train = document.getElementById("train");
var x = 0;
var y = 0;
var check = false;
function play() {
	if(check == true){
		if (x < 400 && y == 0 && check == true) {
			setTimeout(function () {
				x ++ ;
				train.style.left = x + 'px';
				run();
			}, 5)
		} else 
			if  ( x == 400  && y < 400 && check == true) {
				setTimeout(function () {
					y ++;
					train.style.top = y + 'px';
					run();
				}, 5);
			}else if  ( x > 0 &&  check == true) {
					setTimeout(function () {
						x --;
						train.style.left = x + 'px';
						run();
					}, 5)
			}else if  ( y > 0 &&  check == true) {
					setTimeout(function () {
						y--;
						train.style.top = y + 'px';
						run();
					}, 5)
			}
		
	}
}

function pause() {
	check = false;
}
function start(){
	check = true;
	run()

}
function run() {
	play()
}

	
	</script>
</body>
</html>
